src/fvm/fvm_to_ensight_case.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
fvm_to_ensight_case.c File Reference
`#include "cs_defs.h"`
`#include <assert.h>`
`#include <ctype.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "bft_error.h"`
`#include "bft_mem.h"`
`#include "bft_printf.h"`
`#include "fvm_gather.h"`
`#include "fvm_writer.h"`
`#include "fvm_to_ensight_case.h"`
Include dependency graph for fvm_to_ensight_case.c:

## Functions
fvm_to_ensight_case_t * | fvm_to_ensight_case_create (const char *const name, const char *const dir_prefix, const fvm_writer_time_dep_t time_dependency)
fvm_to_ensight_case_t * | fvm_to_ensight_case_destroy (fvm_to_ensight_case_t *this_case)
fvm_writer_time_dep_t | fvm_to_ensight_case_get_time_dep (fvm_to_ensight_case_t *this_case)
int | fvm_to_ensight_case_set_geom_time (fvm_to_ensight_case_t *const this_case, const int time_step, const double time_value)
fvm_to_ensight_case_file_info_t | fvm_to_ensight_case_get_geom_file (fvm_to_ensight_case_t *const this_case)
int | fvm_to_ensight_case_add_part (fvm_to_ensight_case_t *const this_case, const char *const part_name)
int | fvm_to_ensight_case_get_part_num (fvm_to_ensight_case_t *const this_case, const char *const part_name)
fvm_to_ensight_case_file_info_t | fvm_to_ensight_case_get_var_file (fvm_to_ensight_case_t *const this_case, const char *const name, const int dimension, const fvm_writer_var_loc_t location, const int time_step, const double time_value)
void | fvm_to_ensight_case_write_case (fvm_to_ensight_case_t *this_case, int rank)

## Variables
struct _fvm_to_ensight_case_t | _fvm_to_ensight_case_t

## Function Documentation

int fvm_to_ensight_case_add_part | ( | fvm_to_ensight_case_t *const | this_case,
|  | const char *const | part_name
| ) |  |

fvm_to_ensight_case_t* fvm_to_ensight_case_create | ( | const char *const | name,
|  | const char *const | dir_prefix,
|  | const fvm_writer_time_dep_t | time_dependency
| ) |  |

fvm_to_ensight_case_t* fvm_to_ensight_case_destroy | ( | fvm_to_ensight_case_t * | this_case | ) |

fvm_to_ensight_case_file_info_t fvm_to_ensight_case_get_geom_file | ( | fvm_to_ensight_case_t *const | this_case | ) |

int fvm_to_ensight_case_get_part_num | ( | fvm_to_ensight_case_t *const | this_case,
|  | const char *const | part_name
| ) |  |

fvm_writer_time_dep_t fvm_to_ensight_case_get_time_dep | ( | fvm_to_ensight_case_t * | this_case | ) |

fvm_to_ensight_case_file_info_t fvm_to_ensight_case_get_var_file | ( | fvm_to_ensight_case_t *const | this_case,
|  | const char *const | name,
|  | const int | dimension,
|  | const fvm_writer_var_loc_t | location,
|  | const int | time_step,
|  | const double | time_value
| ) |  |

int fvm_to_ensight_case_set_geom_time | ( | fvm_to_ensight_case_t *const | this_case,
|  | const int | time_step,
|  | const double | time_value
| ) |  |

void fvm_to_ensight_case_write_case | ( | fvm_to_ensight_case_t * | this_case,
|  | int | rank
| ) |  |

## Variable Documentation

struct _fvm_to_ensight_case_t _fvm_to_ensight_case_t